@tailwind base;
@tailwind components;
@tailwind utilities;

a {
	@apply text-blue-500 hover:underline
}

h3 {
	@apply mt-5 mb-3 text-lg font-bold
}

h2 {
	@apply mt-10 mb-5 text-xl
}

h1 {
	@apply mt-14 mb-8 text-2xl
}

section {
	@apply mx-5 my-14 md:mx-10 md:my-16 lg:mx-40 lg:my-20
}

button {
	@apply rounded-md
}

input {
	@apply h-10 border mt-1 rounded px-4 w-full bg-gray-50
}

fieldset {
	@apply grid gap-4 gap-y-2 text-sm grid-cols-1 md:grid-cols-1 rounded-md bg-blue-50 p-10 mb-10
}

.field {
	@apply mb-5
}

/* ======= Fonts ======= */

/* latin */
@font-face {
	font-family: 'Tangerine';
	font-style: normal;
	font-weight: 400;
	font-display: swap;
	src: url(https://fonts.gstatic.com/s/tangerine/v17/IurY6Y5j_oScZZow4VOxCZZM.woff2) format('woff2');
	unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  }
  /* latin */
  @font-face {
	font-family: 'Tangerine';
	font-style: normal;
	font-weight: 700;
	font-display: swap;
	src: url(https://fonts.gstatic.com/s/tangerine/v17/Iurd6Y5j_oScZZow4VO5srNZi5FN.woff2) format('woff2');
	unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  }
